commoble.databuddy.examplecontent

## Class FlavorTags

- java.lang.Object
- - commoble.databuddy.examplecontent.FlavorTags

    public class FlavorTags
    extends java.lang.Object

### Field Summary

Fields
`static commoble.databuddy.data.MergeableJsonDataManager<RawFlavorTag,java.util.Set<net.minecraft.util.ResourceLocation>>` `DATA_LOADER`

### Constructor Summary

Constructors
Constructor and Description
`FlavorTags()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.Set<net.minecraft.util.ResourceLocation>` `processFlavors(java.util.Set<net.minecraft.util.ResourceLocation> set, java.util.List<java.lang.String> flavors)`
`static java.util.Set<net.minecraft.util.ResourceLocation>` `processFlavorTag(java.util.Set<net.minecraft.util.ResourceLocation> set, RawFlavorTag raw)`
`static java.util.Set<net.minecraft.util.ResourceLocation>` `processFlavorTags(java.util.stream.Stream<RawFlavorTag> raws)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DATA_LOADER

    public static final commoble.databuddy.data.MergeableJsonDataManager<RawFlavorTag,java.util.Set<net.minecraft.util.ResourceLocation>> DATA_LOADER

### Constructor Detail

#### FlavorTags

    public FlavorTags()

### Method Detail

#### processFlavorTags

    public static java.util.Set<net.minecraft.util.ResourceLocation> processFlavorTags(java.util.stream.Stream<RawFlavorTag> raws)

#### processFlavorTag

    public static java.util.Set<net.minecraft.util.ResourceLocation> processFlavorTag(java.util.Set<net.minecraft.util.ResourceLocation> set,
                                                                                      RawFlavorTag raw)

#### processFlavors

    public static java.util.Set<net.minecraft.util.ResourceLocation> processFlavors(java.util.Set<net.minecraft.util.ResourceLocation> set,
                                                                                    java.util.List<java.lang.String> flavors)